org.apache.ignite.internal.processors.cache

## Class CacheOsConflictResolutionManager<K,V>

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.CacheOsConflictResolutionManager<K,V>

All Implemented Interfaces:
  CacheConflictResolutionManager<K,V>, GridCacheManager<K,V>

    public class CacheOsConflictResolutionManager<K,V>
    extends Object
    implements CacheConflictResolutionManager<K,V>

OS conflict resolver manager.

### Constructor Summary

Constructors
Constructor and Description
`CacheOsConflictResolutionManager()`

### Method Summary

Methods
`CacheVersionConflictResolver` `conflictResolver()`
`void` `onDisconnected(IgniteFuture<?> reconnectFut)`
`void` `onKernalStart()`
`void` `onKernalStop(boolean cancel)`
`void` `printMemoryStats()` Prints memory statistics (sizes of internal data structures, etc.).
`void` `start(GridCacheContext<K,V> cctx)` Starts manager.
`void` `stop(boolean cancel)` Stops manager.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CacheOsConflictResolutionManager

    public CacheOsConflictResolutionManager()

### Method Detail

#### conflictResolver

    public CacheVersionConflictResolver conflictResolver()

Specified by:
  `conflictResolver` in interface `CacheConflictResolutionManager<K,V>`
Returns:
  Cache conflict resolver.

#### start

    public void start(GridCacheContext<K,V> cctx)
               throws IgniteCheckedException

Starts manager.

Specified by:
  `start` in interface `GridCacheManager<K,V>`
Parameters:
  `cctx` - Context.
Throws:
  `IgniteCheckedException` - If failed.

#### stop

    public void stop(boolean cancel)

Stops manager.

Specified by:
  `stop` in interface `GridCacheManager<K,V>`
Parameters:
  `cancel` - Cancel flag.

#### onKernalStart

    public void onKernalStart()
                       throws IgniteCheckedException

Specified by:
  `onKernalStart` in interface `GridCacheManager<K,V>`
Throws:
  `IgniteCheckedException` - If failed.

#### onKernalStop

    public void onKernalStop(boolean cancel)

Specified by:
  `onKernalStop` in interface `GridCacheManager<K,V>`
Parameters:
  `cancel` - Cancel flag.

#### printMemoryStats

    public void printMemoryStats()

Prints memory statistics (sizes of internal data structures, etc.). NOTE: this method is for testing and profiling purposes only.

Specified by:
  `printMemoryStats` in interface `GridCacheManager<K,V>`

#### onDisconnected

    public void onDisconnected(IgniteFuture<?> reconnectFut)

Specified by:
  `onDisconnected` in interface `GridCacheManager<K,V>`
Parameters:
  `reconnectFut` - Reconnect future.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.8.0
Release Date | : December 5 2016